Bug 146864 - &lt;pre&gt; (<pre />) in <description /> in RSS file
&lt;pre&gt; (<pre />) in <description /> in RSS file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 04:13 EST by Andrzej Filip
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 16:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrzej Filip 2005-02-02 04:13:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
In RSS files generated by "yum generate-rss" preformatted text tags
(<pre>) are treated as text (&lt;pre&gt;)


<description>&lt;pre&gt;elinks - A text-mode Web browser.

Links is a text-based Web browser. [...]
...&lt;/pre&gt;
</description>

Version-Release number of selected component (if applicable):
yum-2.1.12-0.fc3

How reproducible:
Always

Steps to Reproduce:
1.execute "yum generate-rss"
2.inspect <description /> in generated rss file
3.
    

Actual Results:  RSS file generated bt yum:

<description>&lt;pre&gt;elinks - A text-mode Web browser.

Links is a text-based Web browser. [...]
...&lt;/pre&gt;
</description>

Expected Results:  RSS file generated bt yum:

<description><pre>elinks - A text-mode Web browser.

Links is a text-based Web browser. [...]
...</pre>
</description>

Additional info:
Comment 1 Jeremy Katz 2005-07-29 16:04:46 EDT
The RSS generation functionality is no longer present in yum.

Note You need to log in before you can comment on or make changes to this bug.